# rpcap_findalldevs_if Struct Reference
[Internal Structures and Definitions]

Format of the message for the interface description (findalldevs command). More...

`#include <pcap-remote.h>`

## Data Fields

uint16 | namelen
| Length of the interface name.
uint16 | desclen
| Length of the interface description.
uint32 | flags
| Interface flags.
uint16 | naddr
| Number of addresses.
uint16 | dummy
| Must be zero.

## Detailed Description

Format of the message for the interface description (findalldevs command).

Definition at line 160 of file pcap-remote.h.

## Field Documentation

uint16 desclen

Length of the interface description.

Definition at line 163 of file pcap-remote.h.

uint16 dummy

Must be zero.

Definition at line 166 of file pcap-remote.h.

uint32 flags

Interface flags.

Definition at line 164 of file pcap-remote.h.

uint16 naddr

Number of addresses.

Definition at line 165 of file pcap-remote.h.

uint16 namelen

Length of the interface name.

Definition at line 162 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.